# Uses of Interface
org.eclipse.emf.cdo.spi.common.revision.CDORevisionProviderWithSynthetics

Packages that use CDORevisionProviderWithSynthetics
Package
Description
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.

## Uses of CDORevisionProviderWithSynthetics in org.eclipse.emf.cdo.spi.common.revision

Classes in org.eclipse.emf.cdo.spi.common.revision that implement CDORevisionProviderWithSynthetics
Modifier and Type
Class
Description
`static class`
`ManagedRevisionProvider.WithSynthetics`
A managed revision provider that can also provide `synthetic revisions`.
Methods in org.eclipse.emf.cdo.spi.common.revision that return CDORevisionProviderWithSynthetics
Modifier and Type
Method
Description
`CDORevisionProviderWithSynthetics`
ManagedRevisionProvider.`withSynthetics()`